<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8"/>
    <title>Feuille de livraison du {{ distribution.date_heure|date:"d/m/Y" }}</title>
    <style type="text/css">
        @page {
        {% if headers|length > 6 %}
            size: letter landscape;
        {% else %}
            size: A4;
        {% endif %}
            margin: 2cm 1.5cm;
            @frame footer {
                -pdf-frame-content: footer;
                bottom: 0cm;
                height: 1.5cm;
                right: 0cm;
                width: 3.5cm;
            }
        }

        body {
            font-family: sans-serif;
            font-size: 11pt;
        }

        .green {
            color: #008000;
        }

        .red {
            color: #ff0000;
        }

        .large {
            font-size: 120%;
        }

        .bold {
            font-weight: bold;
        }

        ul {
            list-style-type: none;
        }

        table {
            border: 1px black solid;
            border-collapse: collapse;
        }

        th, td {
            vertical-align: center;
            padding: 3px 2px 2px 2px;
            line-height: 0.8em;
        }

        th {
            text-align: center;
            page-break-inside: avoid;
            word-break: break-all;
            word-wrap: break-word;
        }
    </style>
</head>
<body>

<h1 style="text-align: center">Feuille de livraison du {{ distribution.date_heure|date:"d/m/Y" }}</h1>


{% if headers|length > 1 %}
    <p>
        Produits :
        {% for header in headers %}{% if forloop.counter > 1 %}, {% endif %}
        {% if header.short_name %}<b>({{ header.short_name }})</b>{% endif %} {{ header.name }}{% endfor %}
    </p>
    <table>
        <thead>
        <tr>
            <th style=" text-align: left;">
                Adhérent.e \ Produit
            </th>
            {% for header in headers %}
                <th style="word-break: break-all">
                    {% if header.short_name %}
                        {{ header.short_name }}
                    {% else %}
                        {{ header.name }}
                    {% endif %}
                </th>
            {% endfor %}

            {% if include_prices %}
                <th style="width: 2.0cm">
                    À payer
                </th>
            {% endif %}
        </tr>
        </thead>
        <tbody>
        <tr>
            <th style="text-align: left;">
                Quantité unitaire
            </th>
            {% for qt in product_quantities.values %}
                <th style="text-align: center">{{ qt }}</th>
            {% endfor %}
            {% if include_prices %}
            <th style="background-color: #ccc; width: 2.0cm;"></th>
            {% endif %}

        </tr>
        <tr>
            <th style="text-align: left;">TOTAL</th>
            {% for total in totals %}
                <th style="text-align: center">{{ total }}
                <!--small>(x {{ product_quantities|get_item:forloop.counter }})</small-->
            {% endfor %}

            {% if include_prices %}
                <th style="text-align: right;">
                    {{ total_to_pay|floatformat:2 }} €
                </th>
            {% endif %}
        </tr>

        {% for user in user_info %}
            <tr>
                <td>
                    {{ user|get_item:"name" }}
                </td>
                {% for amount in user|get_item:"amounts" %}
                    <td style="text-align: center; width: 1.65cm">
                        {% if amount > 0 %}
                            {{ amount }}
                            <!--small>(x {{ product_quantities|get_item:forloop.counter }})</small-->
                        {% endif %}
                    </td>
                {% endfor %}

                {% if include_prices %}
                <td style="text-align: right">
                    {% if user|get_item:"to_pay" %}
                        {{ user|get_item:"to_pay"|floatformat:2 }} €
                    {% endif %}
                </td>
                {% endif %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% else %}
    <table>
        <thead>
        <tr>
            <th style="width: 8cm; text-align: left;">
                Adhérent.e
            </th>
            <th style="width: 4cm;">
                Quantité
            </th>
            <th style="width: 4cm;">
                Récupéré ?
            </th>

            {% if include_prices %}
                <th style="width: 3cm">
                    À payer
                </th>
            {% endif %}
        </tr>
        </thead>
        <tbody>
        {% for user in user_info %}
            <tr>
                <td>
                    {{ user|get_item:"name" }}
                </td>
                {% for amount in user|get_item:"amounts" %}
                    <td style="text-align: center">
                        {% if amount > 0 %}
                            {{ amount }}
                        {% endif %}
                    </td>
                {% endfor %}
                <td style="width: 6cm;">
                </td>
                {% if include_prices %}
                    <td style="text-align: right">
                        {% if user|get_item:"to_pay" %}
                            {{ user|get_item:"to_pay"|floatformat:2 }} €
                        {% endif %}
                    </td>
                {% endif %}
            </tr>
        {% endfor %}

        <tr>
            <th>TOTAL</th>
            {% for total in totals %}
                <th style="text-align: center">{{ total }}</th>
            {% endfor %}
            <th style="background-color: #ccc; width: 4cm;">
            </th>

            {% if include_prices %}
                <th style="text-align: right;">
                    {{ total_to_pay|floatformat:2 }} €
                </th>
            {% endif %}
        </tr>


        </tbody>
    </table>
{% endif %}

<div id="footer">
    Page
    <pdf:pagenumber/>
    /
    <pdf:pagecount/>
</div>
</body>
</html>